Bug 107094 - Backward Search of Headings with Navigation Bar Does not Work Always
Summary: Backward Search of Headings with Navigation Bar Does not Work Always
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.1.0 target:5.4.7 target:6.0.3
Keywords: bibisected, bisected, needUITest, regression
Depends on:
Blocks: Navigator
  Show dependency treegraph
 
Reported: 2017-04-11 14:34 UTC by Harald Koester
Modified: 2018-03-28 15:15 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Document in order to reproduce the bug. (11.38 KB, application/vnd.oasis.opendocument.text)
2017-04-11 14:34 UTC, Harald Koester
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2017-04-11 14:34:19 UTC
Created attachment 132476 [details]
Document in order to reproduce the bug.

In order to reproduce the bug just open the attached document and follow the instructions within the document.

Bug also checked with older versions. Version 4.4.0 is the first version where this bug appeared. Hence regression.
Comment 1 Xisco Faulí 2017-04-12 09:41:40 UTC
Confirmed in

Version: 5.4.0.0.alpha0+
Build ID: 7635e0c1c7f821a1081f8e3868f641ae74a172d6
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

And indeed, it's a regression, but it can't be bisected due to a crash in the navigation menu which was fixed by 535f34bba60e06d390a6f3802072b16a9841bc4e. After that commit, the bug was already present.
Comment 2 Dieter Praas 2018-01-31 15:19:27 UTC
I'm not sure, but I think I can't reproduce it in

Version: 6.1.0.0.alpha0+ (x64)
Build ID: 77a535285f0fd5f2464430abdc67cf99be024868
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-01-23_23:04:23
Locale: de-DE (de_DE); Calc: CL
Comment 3 Harald Koester 2018-02-19 09:23:45 UTC
Bug checked with version 6.0.1 (64 Bit, Win 10). Bug still exists.
Comment 4 Jim Raykowski 2018-03-11 10:29:28 UTC
Navigate to previous Heading works in Version: 4.3.2.1

This regression was introduced by the following patch:

commit 84e44386d70e886f9bae633ebe915ea3a52f8dbd
Author: Caolán McNamara <caolanm@redhat.com>, Wed Nov 12 10:35:18 2014 +0000 (3 years, 4 months ago)
Committer: Caolán McNamara <caolanm@redhat.com>, Wed Nov 12 12:25:18 2014 +0000 (3 years, 4 months ago)
Follows: libreoffice-4-3-branch-point
Precedes: libreoffice-4-4-branch-point
Branches: <Expand>

coverity#982189 Unchecked return value

Change-Id: I6f5ef42b38236ea5f70ddbccfa25a81f2f3e976c

Specifically here:
https://opengrok.libreoffice.org/xref/core/sw/source/core/crsr/crstrvl.cxx#977
Comment 5 Xisco Faulí 2018-03-11 13:03:55 UTC
(In reply to Jim Raykowski from comment #4)
> Navigate to previous Heading works in Version: 4.3.2.1
> 
> This regression was introduced by the following patch:
> 
> commit 84e44386d70e886f9bae633ebe915ea3a52f8dbd
> Author: Caolán McNamara <caolanm@redhat.com>, Wed Nov 12 10:35:18 2014 +0000
> (3 years, 4 months ago)
> Committer: Caolán McNamara <caolanm@redhat.com>, Wed Nov 12 12:25:18 2014
> +0000 (3 years, 4 months ago)
> Follows: libreoffice-4-3-branch-point
> Precedes: libreoffice-4-4-branch-point
> Branches: <Expand>
> 
> coverity#982189 Unchecked return value
> 
> Change-Id: I6f5ef42b38236ea5f70ddbccfa25a81f2f3e976c
> 
> Specifically here:
> https://opengrok.libreoffice.org/xref/core/sw/source/core/crsr/crstrvl.
> cxx#977

Adding Cc: to Caolán McNamara
Comment 6 Commit Notification 2018-03-12 21:08:46 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=02cf066ee9b8a833a6f19c41489aadff3561a56b

tdf#107094 backward heading search doesn't always work

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Caolán McNamara 2018-03-12 21:15:46 UTC
backport to earlier versions in gerrit
Comment 8 Commit Notification 2018-03-13 19:58:53 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e4c16d917d7cb4c7c220e9e51cd8c4a386317305&h=libreoffice-5-4

tdf#107094 backward heading search doesn't always work

It will be available in 5.4.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2018-03-13 19:59:03 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b8345af80078f9eee29a391fe84b2506b37d24ea&h=libreoffice-6-0

tdf#107094 backward heading search doesn't always work

It will be available in 6.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2018-03-28 15:15:48 UTC
Verified in

Version: 6.1.0.0.alpha0+
Build ID: 8329f4541e27402d19729ae1588af8bfe61f7b49
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

Thank you Caolán!